import { h } from "@stencil/core";
/**
 * @slot default - Ska vara en textsträng
 * @swedishName Ingress
 */
export class TypographyPreamble {
    render() {
        return (h("p", { key: '85b577c52de51ec05cce65cae87d65c5f2b079cc', class: "digi-typography-preamble" }, h("slot", { key: 'ccfb6218e79c09bcebcfdf3735fdbb2d47de8fef' })));
    }
    static get is() { return "digi-typography-preamble"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["typography-preamble.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["typography-preamble.css"]
        };
    }
}
